# Alias
Alias "/instance/VISUUID" "/var/www/html"

# Set for security reasons
ProxyRequests Off

# Disable proxying of read/write web interfaces
ProxyPass "/geoserver/web" !
ProxyPass "/geoserver/rest" !

# Pass everything else to the GeoServer using the server-side URL
ProxyPass "/geoserver/" "http://localhost:5003/geoserver/"
ProxyPassReverse "/geoserver/" "http://localhost:5003/geoserver/"

# Proxies to support DAFNI
ProxyPass "/check" "http://localhost:5002/check/"
ProxyPassReverse "/check" "http://localhost:5002/check/"

ProxyPass "/write" "http://localhost:5002/write/"
ProxyPassReverse "/write" "http://localhost:5002/write/"

ProxyPass "/instance/VISUUID/check" "http://localhost:5002/check/"
ProxyPassReverse "/instance/VISUUID/check" "http://localhost:5002/check/"

ProxyPass "/instance/VISUUID/write" "http://localhost:5002/write/"
ProxyPassReverse "/instance/VISUUID/write" "http://localhost:5002/write/"

ProxyPass "/instance/VISUUID/geoserver/" "http://localhost:5003/geoserver/"
ProxyPassReverse "/instance/VISUUID/geoserver/" "http://localhost:5003/geoserver/"

# Respond with 200 on /healthz route (requested by DAFNI)
ProxyPass "/healthz" "http://localhost:5002/healthz/"
ProxyPassReverse "/healthz" "http://localhost:5002/healthz/"